File: changelog

package info (click to toggle)
openpyxl 2.4.9-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 6,768 kB
  • sloc: python: 34,453; xml: 12,359; makefile: 124
file content (187 lines) | stat: -rw-r--r-- 6,045 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
openpyxl (2.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    Closes: #790751
  * Take over maintenance to Debian Science team
  * cme fix dpkg-control
  * Standards-Version: 4.1.3
  * debhelper 9
  * Drop python-imaging as alternative to python-pil
    Closes: #866446
  * Verify that homepage is correct
    Closes: #790752
  * Add missing DEP3 headers
  * Enable usage of python-et-xmlfile which is now available in Debian
  * Distinct descriptions
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2018 11:57:28 +0100

openpyxl (2.3.0-3) unstable; urgency=medium

  * Do not resolve entities with lxml to avoid XXE vulnerability
    - patch up_no_lxml (Closes: #854442)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Feb 2017 09:37:53 -0500

openpyxl (2.3.0-2) unstable; urgency=medium

  * debian/control
    - move lxml (>= 3.3.4) into Depends and adding python-et-xmlfile as
      an alternative to it (Closes: #822414)
 	- policy boost to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 21:49:59 -0400

openpyxl (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: python3-all (instead of python3)
    Closes: #802088

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 14:24:40 +0100

openpyxl (2.3.0~b2-1) unstable; urgency=medium

  * Fresh upstream  beta-release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 14:02:57 -0400

openpyxl (2.3.0~b1-1) unstable; urgency=medium

  * Fresh upstream beta-release
  * debian/copyright -- fixups
  * debian/watch - allow to update for alpha/beta releases
  * debian/patches
    - up_python3_print - fix for compatibility with python3 (Closes: #790754)
    - deb_no_et_xml_file - there is no et_xmlfile package yet and it
      is optional anyways. Disable it in setup.py so dh*-python magic doesn't
      add unsatisfyiable depends
  * debian/control
    - to play safe care only about python >= 2.6
  * debian/rules
    - adjust path to changes.rst

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jul 2015 10:34:46 -0400

openpyxl (2.2.4-1) unstable; urgency=medium

  * New upstream release (Thanks Sjoerd Langkemper for the buzz and help
    with update)
    - this package should (Closes: #786108, #782925) due to UNRELEASED
      changes below
  * debian/rules:
    - use LC_ALL=C.UTF-8 while testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jul 2015 08:44:58 -0400

openpyxl (2.1.3-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/rules
    - install upstream changelog
  * debian/control
    - added jdcal into dependencies

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Dec 2014 11:36:21 -0500

openpyxl (2.0.5-1) UNRELEASED; urgency=medium

  * Fresh upstream release, which introduces some possibly backward
    incompatible changes (thanks upstream for the summary):
    - using optimized reader, make sure you're using workseet.rows and not
      worksheet.iter_rows()
    - still using optimized reader, make sure you're using cell.value and
      not cell.internal_value
    - the flag data_only when opening a workbook in opitmized mode returns
      the values of the formulas instead of the actual formulas
    - when writing in optimized mode, the way to use append() has changed a
      lot, you might want to check the docs:
      http://pythonhosted.org/openpyxl/optimized.html#optimized-writer
  * debian/{control,watch}
    - adjust for moving under openpyxl organization on bitbucket
  * debian/{control,rules}
    - deprecating use of pysupport
    - providing python3-openpyxl package now
    - added python*-lxml packages to build-depends for testing and recommends
  	- used py.test not nose for testing
    - boosted policy compliance 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Aug 2014 12:22:57 -0400

openpyxl (1.7.0+ds1-1) unstable; urgency=low

  * Fresh upstream release
    - removed cover/ generated reports

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Nov 2013 11:19:49 -0500

openpyxl (1.6.2-1) experimental; urgency=low

  * Fresh upstream release
    - provides optional support for embedded images.
      Adding Recommends to python-imaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Apr 2013 10:10:17 -0400

openpyxl (1.6.1+hg2-g4bff8e3-1) experimental; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Feb 2013 12:08:47 -0500

openpyxl (1.5.8-1) unstable; urgency=low

  * Fresh upstream release
    - fixes unittests failures in upcoming pandas 0.7.3

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2012 11:20:11 -0400

openpyxl (1.5.6-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2011 15:56:52 -0500

openpyxl (1.5.5-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Oct 2011 18:02:11 -0400

openpyxl (1.5.4-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Sep 2011 16:35:25 -0400

openpyxl (1.5.3+hg365-1) unstable; urgency=low

  * Fresh post-release snapshot:
    addresses LibreOffice compatibility issues
  * Boosted standards version to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Jul 2011 14:36:21 -0400

openpyxl (1.5.0-1) unstable; urgency=low

  * New upstream release
    - sources layout has changed
    - requires Python >= 2.6 now (Closes: #603793)
  * Boosted standards version to 3.9.1 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Mar 2011 13:24:29 -0400

openpyxl (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Aug 2010 23:42:16 -0400

openpyxl (1.0.1+hg95-1) unstable; urgency=low

  * Initial release (Closes: #590536)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Jul 2010 16:40:40 -0400